# Class CIM_IEEE8021xCapabilities
extends CIM_Capabilities

CIM_IEEE8021xCapabilities describes the IEEE 802.1x security capabilities of a layer 2 ProtocolEndpoint.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_IEEE8021xCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_IEEE8021xCapabilities describes the IEEE 802.1x security capabilities of a layer 2 ProtocolEndpoint.
UMLPackagePath | string | CIM::Network::IEEE8021x
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
FastRoamingSupported | boolean |
Description | string | Indicates whether the associated ProtocolEndpoint supports fast reconnection of an IEEE 802.1x session when it roams from one access point to another.
RoamingSupported | boolean |
Description | string | Indicates whether the associated ProtocolEndpoint supports moving a session due to roaming.
SupportedAuthenticationProtocols | uint16[] |
Description | string | The IEEE 802.1x Extensible Authentication Protocol types supported by the associated ProtocolEndpoint. See AuthenticationProtocol description in CIM_IEEE8021xSettings for more information.
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, ..
Values | string | EAP-TLS, EAP-TTLS/MSCHAPv2, PEAPv0/EAP-MSCHAPv2, PEAPv1/EAP-GTC, EAP-FAST/MSCHAPv2, EAP-FAST/GTC, EAP-MD5, EAP-PSK, EAP-SIM, EAP-AKA, EAP-FAST/TLS, DMTF Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods